
<?php 
// echo "<pre>";
// print_r($_GET);
// echo "</pre>"; 

error_reporting(0);
ini_set(“display_errors”, 0 );
include "../protege_professor.php";
date_default_timezone_set('America/Sao_Paulo');               
$horario_relatorio = date('d-m-Y H:i:s');

$data_venda = date("d-m-Y");
$arrayData = explode("-",$data_venda);

// Imprimindo os dados:
$dia = $arrayData[0];
$mes = intval($arrayData[1]);
$ano = $arrayData[2];

$dia_hoje = $dia;
$ano_hoje = $ano;

$hoje = getdate();

$meses = array (1 => "Janeiro", 2 => "Fevereiro", 3 => "Março", 4 => "Abril", 5 => "Maio", 6 => "Junho", 7 => "Julho", 8 => "Agosto", 9 => "Setembro", 0 => "Outubro", 11 => "Novembro", 12 => "Dezembro");


$nome_mes = $meses[$mes];





function nome_quadra($id){
  include "../conexao.php";
  $queryquadra = "SELECT quadra FROM produto WHERE idproduto = $id";
  $execquadra = mysqli_query($db, $queryquadra);
  $x = mysqli_fetch_assoc($execquadra);
  return $x["quadra"];
}

function nome_cliente($id){
  include "../conexao.php";
  $querycliente = "SELECT nome_cli FROM cliente WHERE idcliente = $id";
  $execcliente = mysqli_query($db, $querycliente);
  $x = mysqli_fetch_assoc($execcliente);
  return $x["nome_cli"];
}


function nome_lote($id){
  include "../conexao.php";
  $querylote = "SELECT lote FROM lote WHERE idlote = $id";
  $execlote = mysqli_query($db, $querylote);
  $y = mysqli_fetch_assoc($execlote);
  return $y["lote"];
}

 function dados_empreendimento($empreendimento_id){
      include "../conexao.php";
              $query_amigo = "SELECT * FROM empreendimento_cadastro                           
                              WHERE idempreendimento_cadastro = $empreendimento_id";                           
              $executa_query = mysqli_query ($db,$query_amigo);                
              while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
              $descricao_empreendimento   = $buscar_amigo['descricao_empreendimento'];
            }

            return $descricao_empreendimento;
  }
  function fotologo($empreendimento_id){
      include "../conexao.php";
              $query_amigo = "SELECT * FROM empreendimento_cadastro                           
                              WHERE idempreendimento_cadastro = $empreendimento_id";                           
              $executa_query = mysqli_query ($db,$query_amigo);                
              while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
              $img   = $buscar_amigo['img_lote'];
            }

            return $img;
  }


function nome_empreendimento($id){
  include "../conexao.php";
  $querylote = "SELECT descricao_empreendimento AS nome FROM empreendimento INNER JOIN empreendimento_cadastro ON idempreendimento = idempreendimento_cadastro WHERE idempreendimento = $id";
  $execlote = mysqli_query($db, $querylote);
  $y = mysqli_fetch_assoc($execlote);
  return $y["nome"];
}

?>


<script type="text/javascript">

  function excluir(){

    document.nome.action = "excluir_contatos.php";
    document.nome.submit();

}

function baixar(){

    document.nome.action = "baixar_contatos.php";
    document.nome.submit();

}

</script>
<!-- begin #page-loader -->

<?php  

$inicio                   = $_GET["inicio"];
$fim                      = $_GET["fim"];

$aberta_por        = $_GET["aberta_por"];
$ocorrencia_para   = $_GET["ocorrencia_para"];
$empreendimento_id = $_GET["empreendimento_id"];
$status_ocorrencia = $_GET["status_ocorrencia"];
$idimovel          = $_GET["idimovel"];
$idquadra          = $_GET["idquadra"];
$idlote            = $_GET["idlote"];
$grupo_idgrupo     = $_GET["grupo_idgrupo"];

$where = "idocorrencia > 0";

if($inicio != '' AND $fim != ''){
 $where .= " AND STR_TO_DATE(data_ocorrencia, '%d-%m-%Y') BETWEEN  '".$inicio."' and '".$fim."' ";
}


if($aberta_por != ''){
 $where .= " AND cadastrado_por = " . $aberta_por;
}


if($ocorrencia_para != ''){
 $where .= " AND ocorrencia_para = ". $ocorrencia_para;
}

if($status_ocorrencia != ''){
 $where .= " AND status_ocorrencia = ". $status_ocorrencia;
}


if($idimovel != ''){
  $where .= " AND imovel_id = ". $idimovel;
}

$empreendimento_id = $_GET['empreendimento_id'];

 if($empreendimento_id != '' and $empreendimento_id != 0 and $empreendimento_id != 'Todos'){
    $rel_empreendimento = dados_empreendimento($empreendimento_id);
    $logo = fotologo($empreendimento_id);
  }else{
    $rel_empreendimento = '';
  }

if($grupo_idgrupo != ''){
  $where .= " AND ocorrencia_para_grupo = " . $grupo_idgrupo;
}



if($empreendimento_id != '' AND  $empreendimento_id != 'Todos'){
  $where .= " AND empreendimento_id = ".$empreendimento_id;
}


if($idlote != '' AND $idlote != '0'){
  $where .= " AND lote_id = ". $idlote;
}


if($idquadra != '' AND $idquadra != '0'){
  $where .= " AND quadra_id = ". $idquadra;
}

if($_GET['empreendimento_id'] != 'Todos' ){ 

              $image = "<img src='../img/$empreendimento_id/$logo' height='110' />";
         }else{
              $image = "";
         }

$html = '';        





$html .= "<table style='width:100%' border='0'>
<tr>
      <td colspan='2'>$image</td>
      <td colspan='2' style='text-align: right'> $dia_hoje de $nome_mes de $ano_hoje<br><font style='font-size: 10px'> Emitidor por.: $usu</font></td></tr>


<tr>
<td colspan='4' style='text-align: center; font-weight: bold;'>RELATÓRIO DE OCORRÊNCIAS</td>
</tr>


</table><br>";



$html .=  "<center><table>
<thead>
<tr bgcolor='#CCC'>
<th><font style='font-size: 11px;'>Qadra</font></th>
<th><font style='font-size: 11px;'>Lote</font></th>
<th><font style='font-size: 11px;'>Titulo</font></th>
<th><font style='font-size: 11px;'>Descrição</font></th>
<th><font style='font-size: 11px;'>Empreendimento</font></th>
<th><font style='font-size: 11px;'>Data</font></th>
<th><font style='font-size: 11px;'>Aberta Por:</font></th>
<th><font style='font-size: 11px;'>Status</font></th>
</tr>
</thead>
<tbody>";


include "../conexao.php";

             //se for administrador
$query_amigo = "SELECT * FROM ocorrencia WHERE $where order by  quadra_id, lote_id, idocorrencia asc";

                    // echo $query_amigo; die();

$executa_query = mysqli_query ($db,$query_amigo) or die ("Erro Ocorrencias");

$num_rows = mysqli_num_rows($executa_query);


if($num_rows == '0'){

             $html .= "<tr><td colspan='7'  style='width=100%'><strong><font style='font-size: 11px;'>Nenhum Registro Enontrado !</font></strong></td></tr>";


}else{

            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos

             $idocorrencia       = $buscar_amigo['idocorrencia'];
             $titulo             = $buscar_amigo["titulo"];
             $descricao          = utf8_encode(substr($buscar_amigo['descricao'],0,60));

             $data_ocorrencia    = $buscar_amigo["data_ocorrencia"];
             $cadastrado_por     =  nome_cliente($buscar_amigo["cadastrado_por"]);
             $status_ocorrencia  = $buscar_amigo["status_ocorrencia"];
              // $ocorrencia_para    = $buscar_amigo["ocorrencia_para"];
             $quadra             = $buscar_amigo["quadra_id"];
             $lote               = $buscar_amigo["lote_id"];
              //$ocorrencia_para_grupo = $buscar_amigo["ocorrencia_para_grupo"];
             $idemp = $buscar_amigo["empreendimento_id"];
             $nome_quadra = nome_quadra($quadra);
             $nome_lote   = nome_lote($lote);
             $nome_empreendimento = nome_empreendimento($idemp);




             if($status_ocorrencia == 1){
                 $status_ocorrencia = "Aberta";
             }

             if($status_ocorrencia == 2){
                 $status_ocorrencia = "Em Andamento";
             }
             if($status_ocorrencia == 3){
                 $status_ocorrencia = "Finalizada Pelo Atendente";
             }

             if($status_ocorrencia == 4){
                 $status_ocorrencia = "Finalizada";
             }


             $html .=  "<tr>
             <td><font style='font-size: 11px;'>$nome_quadra</font></td>
             <td><font style='font-size: 11px;'>$nome_lote</font></td>
             <td><font style='font-size: 11px;'>$titulo</font></td>
             <td><font style='font-size: 11px;'>$descricao ...</font></td>
             <td><font style='font-size: 11px;'>$nome_empreendimento</font></td>
             <td><font style='font-size: 11px;'>$data_ocorrencia</font></td>
             <td style='text-align: center;'><font style='font-size: 11px;'>$cadastrado_por</font></td>
             <td style='text-align: center;'><font style='font-size: 11px;'>$status_ocorrencia</font></td>
             </tr>";

      }
}


$html .= "</tbody></table></center>";


echo $html;



?>
<script type="text/javascript">print()</script>